Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Specify version numbers of our dependencies in buildout.cfg, so that buildout is "repeatable" #664

Closed
imported-from-roundup opened this Issue · 0 comments

1 participant

@imported-from-roundup

Comment by paulproteus:

It would be really nice if our buildout.cfg specified the version numbers of all
the Python packages the site depends on.

http://maurits.vanrees.org/weblog/archive/2008/01/easily-creating-repeatable-buildouts
is a good tutorial on doing that.

This is "bitesize", probably, if you're interested in learning about Python
packaging and the "buildout" tool.


Comment by TravisB:

Submitted fix where we only specificy versions for:
1) packages already listed under eggs in bin/buildout.cfg
2) not supplied by the user (what we request for in the readme)


Comment by palhmbs:

TravisB, it looks like there is one small oopsy...
At least when I ran buildout I got an error:
Getting distribution for 'Twisted==11.0.0'.
Error: Couldn't find a distribution for 'Twisted==11.0.0'.

I think it ought to be.. Twisted = 10.2.0 instead.


Comment by TravisB:

Submitted fixed patch. Weird that happened!


Comment by paulproteus:

This looks great. I've pushed it to origin/master.

TravisB, in the future, try to write commit log messages that comply with
http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html

We're going to, as time goes on, want to try upgrading things in here to have
higher version numbers and see what breaks. For now, this is excellent.


File at http://roundup-archive.openhatch.org/bugs/file354/0001-Fix-issue-349.-Add-version-info-to-all-packages-unde.patch by TravisB

Status: resolved
Nosy List: TravisB, palhmbs, paulproteus
Priority: wish
Imported from roundup ID: 349 (view archived page)
Last modified: 2011-06-19.23:48:57

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.